from enum import Enum, unique


# 异常枚举
@unique
class ExceptionType(Enum):

    SUCCESS = ("fk000", "成功!")

    ILLEGAL_PARAMETER_FORMAT = ("fk001", "非法参数格式!")

    UNIVERSAL_TEXT_RECOGNITION_FAILED = ("fk002", "通用文字识别异常!")

    ABNORMAL_LICENSE_PLATE_RECOGNITION = ("fk003", "车牌识别异常!")

    AI_RECOGNITION_FAILED = ("fk004", "AI识别异常!")

    SERVICE_INNER_EXCEPTION = ("SP999", "系统内部异常, 请联系工程师定位处理！")
